package com.bytedance.android.livesdk.broadcast.preview.widget;

import X.0CB;
import X.0CH;
import X.2Pr;
import X.6Is;
import X.C1341Fza;
import X.C1342Fzb;
import X.C1743GEm;
import X.GJO;
import X.Ls2;
import X.LsC;
import X.M12;
import android.content.Context;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import com.bytedance.android.livesdk.livesetting.watchlive.HideEffectEntrySetting;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveWidget;
import kotlin.h.b.n;

public final class PreviewStickerWidgetV1 extends LiveWidget implements 6Is {
    public GJO LIZ;
    public final FrameLayout LIZIZ;
    public final LsC<Boolean, 2Pr> LIZJ;
    public final Ls2<C1743GEm> LIZLLL;

    static {
        Covode.recordClassIndex(12315);
    }

    public final int getLayoutId() {
        return 2131562224;
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void onDestroy() {
        super.onDestroy();
    }

    public final void onCreate() {
        ImageView imageView;
        super.onCreate();
        FrameLayout frameLayout = this.LIZIZ;
        DataChannel dataChannel = this.dataChannel;
        n.LIZIZ(dataChannel, "");
        Context context = this.context;
        n.LIZIZ(context, "");
        View view = getView();
        ImageView imageView2 = null;
        if (view != null) {
            imageView = (ImageView) view.findViewById(2131373121);
        } else {
            imageView = null;
        }
        View view2 = getView();
        if (view2 != null) {
            imageView2 = (ImageView) view2.findViewById(2131373122);
        }
        this.LIZ = new GJO(frameLayout, dataChannel, context, imageView, imageView2, this.LIZJ, this.LIZLLL, new C1341Fza(this));
        View view3 = getView();
        if (view3 != null) {
            view3.setOnClickListener(new C1342Fzb(this));
        }
        if (HideEffectEntrySetting.INSTANCE.shouldHide()) {
            hide();
        }
    }

    public PreviewStickerWidgetV1(FrameLayout frameLayout, LsC<? super Boolean, 2Pr> lsC, Ls2<? extends C1743GEm> ls2) {
        M12.LIZ(frameLayout, lsC, ls2);
        this.LIZIZ = frameLayout;
        this.LIZJ = lsC;
        this.LIZLLL = ls2;
    }
}
